--- forum2/install.php	Tue Apr 23 19:06:48 2002
+++ forum2.new/install.php	Tue Apr 23 22:09:45 2002
@@ -312,9 +312,9 @@
 		chkslash($SERVER_DATA_ROOT);
 		
 		if( @!is_dir($SERVER_ROOT) )
-			seterr('SERVER_ROOT', 'The directory where web browseable files are to be kept, does not exist, please create it.');
+			seterr('SERVER_ROOT', 'The directory where web browseable files are to be kept does not exist. Please create it.');
 		else if( @!is_writable($SERVER_ROOT) )
-			seterr('SERVER_ROOT', 'The webserver does not have write permissions to this directory, please chmod it 1777 or 777.');
+			seterr('SERVER_ROOT', 'The webserver does not have write permissions to this directory. Please chmod it 1777 or 777.');
 		else {
 			$check_tm = time();
 		
@@ -332,14 +332,14 @@
 			@unlink($SERVER_ROOT.'WWW_ROOT_CHECK');
 		
 			if( !strstr($ret_code, "200") ) 
-				seterr('WWW_ROOT', 'Your WWW_ROOT does not correspond with the SERVER_ROOT path you have specified. (unable to retrive: '.$WWW_ROOT.'WWW_ROOT_CHECK, on disk as: '.$SERVER_ROOT.'WWW_ROOT_CHECK, recieved: '.$ret_code);
+				seterr('WWW_ROOT', 'Your WWW_ROOT does not correspond with the SERVER_ROOT path you have specified. (unable to retrive: '.$WWW_ROOT.'WWW_ROOT_CHECK, on disk as: '.$SERVER_ROOT.'WWW_ROOT_CHECK, received: '.$ret_code);
 			
 		}	
 		
 		if( @!is_dir($SERVER_DATA_ROOT) )
-			seterr('SERVER_DATA_ROOT', 'The directory where forum data files are to be kept, does not exist, please create it.');
+			seterr('SERVER_DATA_ROOT', 'The directory where forum data files are to be kept does not exist. Please create it.');
 		else if( @!is_writable($SERVER_DATA_ROOT) )
-			seterr('SERVER_DATA_ROOT', 'The webserver does not have write permissions to this directory, please chmod it 1777 or 777.');
+			seterr('SERVER_DATA_ROOT', 'The webserver does not have write permissions to this directory. Please chmod it 1777 or 777.');
 	
 		if( empty($GLOBALS["errors"]) ) {
 			$oldumask = umask(0);
@@ -358,23 +358,23 @@
 			$MOGRIFY_BIN = php_which('mogrify');
 			
 			if( !@is_dir($INCLUDE) && !__mkdir($INCLUDE) ) 
-				exit("FATAL ERROR: Couldn't create INCLUDE ($INCLUDE) directory<br>You can try creating it manually, if you do be sure to chmod the directory 777\n");
+				exit("FATAL ERROR: Couldn't create INCLUDE ($INCLUDE) directory.<br>You can try creating it manually. If you do, be sure to chmod the directory 777.\n");
 			if( !@is_dir($ERROR_PATH) && !__mkdir($ERROR_PATH) ) 
-				exit("FATAL ERROR: Couldn't create ERRORS ($ERROR_PATH) directory<br>You can try creating it manually, if you do be sure to chmod the directory 777\n");
+				exit("FATAL ERROR: Couldn't create ERRORS ($ERROR_PATH) directory.<br>You can try creating it manually. If you do, be sure to chmod the directory 777.\n");
 			if( !@is_dir($MSG_STORE_DIR) && !__mkdir($MSG_STORE_DIR) ) 
-				exit("FATAL ERROR: Couldn't create MSG_STORE_DIR ($MSG_STORE_DIR) directory<br>You can try creating it manually, if you do be sure to chmod the directory 777\n");
+				exit("FATAL ERROR: Couldn't create MSG_STORE_DIR ($MSG_STORE_DIR) directory.<br>You can try creating it manually. If you do, be sure to chmod the directory 777.\n");
 			if( !@is_dir($FILE_STORE) && !__mkdir($FILE_STORE) ) 
-				exit("FATAL ERROR: Couldn't create FILE_STORE ($FILE_STORE) directory<br>You can try creating it manually, if you do be sure to chmod the directory 777\n");
+				exit("FATAL ERROR: Couldn't create FILE_STORE ($FILE_STORE) directory.<br>You can try creating it manually. If you do, be sure to chmod the directory 777.\n");
 			if( !@is_dir($TEMPLATE_DIR) && !__mkdir($TEMPLATE_DIR) ) 
-				exit("FATAL ERROR: Couldn't create TEMPLATE_DIR ($TEMPLATE_DIR) directory<br>You can try creating it manually, if you do be sure to chmod the directory 777\n");
+				exit("FATAL ERROR: Couldn't create TEMPLATE_DIR ($TEMPLATE_DIR) directory.<br>You can try creating it manually. If you do, be sure to chmod the directory 777.\n");
 			if( !@is_dir($TMP) && !__mkdir($TMP) ) 
-				exit("FATAL ERROR: Couldn't create TMP ($TMP) directory<br>You can try creating it manually, if you do be sure to chmod the directory 777\n");
+				exit("FATAL ERROR: Couldn't create TMP ($TMP) directory.<br>You can try creating it manually. If you do, be sure to chmod the directory 777.\n");
 			if( !@is_dir($IMG_ROOT_DISK) && !__mkdir($IMG_ROOT_DISK) ) 
-				exit("FATAL ERROR: Couldn't create IMG_ROOT_DISK ($IMG_ROOT_DISK) directory<br>You can try creating it manually, if you do be sure to chmod the directory 777\n");
+				exit("FATAL ERROR: Couldn't create IMG_ROOT_DISK ($IMG_ROOT_DISK) directory.<br>You can try creating it manually. If you do, be sure to chmod the directory 777.\n");
 			if( !@is_dir($FORUM_SETTINGS_PATH) && !__mkdir($FORUM_SETTINGS_PATH) ) 
-				exit("FATAL ERROR: Couldn't create FORUM_SETTINGS_PATH ($FORUM_SETTINGS_PATH) directory<br>You can try creating it manually, if you do be sure to chmod the directory 777\n");
+				exit("FATAL ERROR: Couldn't create FORUM_SETTINGS_PATH ($FORUM_SETTINGS_PATH) directory.<br>You can try creating it manually. If you do, be sure to chmod the directory 777.\n");
 			if( !@is_dir($USER_SETTINGS_PATH) && !__mkdir($USER_SETTINGS_PATH) ) 
-				exit("FATAL ERROR: Couldn't create IMG_ROOT_DISK ($USER_SETTINGS_PATH) directory<br>You can try creating it manually, if you do be sure to chmod the directory 777\n");
+				exit("FATAL ERROR: Couldn't create IMG_ROOT_DISK ($USER_SETTINGS_PATH) directory.<br>You can try creating it manually, If you do, be sure to chmod the directory 777.\n");
 			
 			chmod($INCLUDE.'GLOBALS.php', 0666);
 		
@@ -417,7 +417,7 @@
 		break;
 	case "mysql" :
 		if( @!mysql_connect($MYSQL_SERVER, $MYSQL_LOGIN, $MYSQL_PASSWORD) ) {
-			seterr('MYSQL_SERVER', 'Failed to connect to MySQL Server, SQL Reason: '.mysql_error());
+			seterr('MYSQL_SERVER', 'Failed to connect to the MySQL Server, SQL Reason: '.mysql_error());
 		}
 		else if( @!mysql_select_db($MYSQL_DB) ) {
 			seterr('MYSQL_DB', 'Could not open the database you\'ve specified, SQL Reason: '.mysql_error());
@@ -509,7 +509,7 @@
 		break;
 	case "cookies":
 		if( empty($COOKIE_DOMAIN) ) {
-			seterr('COOKIE_DOMAIN', 'You must enter a cookie domain, in order for cookies to work properly.');
+			seterr('COOKIE_DOMAIN', 'You must enter a cookie domain in order for cookies to work properly.');
 		}
 		
 		if( empty($GLOBALS["errors"]) ) {
@@ -595,23 +595,23 @@
 			
 			$tmp_data = dirname($GLOBALS["HTTP_SERVER_VARS"]["PATH_TRANSLATED"]);
 			
-			draw_dialog_start('PATH OF SYSTEM FILES AND DIRECTORIES&nbsp;&nbsp;&nbsp;&nbsp;<font size="-1"><b>Step 1 of 5</b></font>', 'Directories where the forum files will be stored.<br>In order for the forum installation to work, you need to chmod the directories, Server Root & Forum Data Root, in such a way that the webserver can write to them. I suggest chmoding the directories to 777.<br>
-			If you have shell access you can change the directory permission by typing "<b>chmod 777 directory_name</b>"<br>
-			In CuteFTP, you can chmod a directory, by selecting it and then pressing Ctrl+Shift+A. In the Manual checkbox enter 777 and then press OK.<br>
-			IN WS_FTP right click on the directory and choose the chmod UNIX option. In the dialog withing select all the checkboxes and click OK, this will chmod the directory 777.<br>');
+			draw_dialog_start('PATH OF SYSTEM FILES AND DIRECTORIES&nbsp;&nbsp;&nbsp;&nbsp;<font size="-1"><b>Step 1 of 5</b></font>', 'First, you need to specify the directories where the forum files will be stored.  In order for the forum installation to work you need to chmod the directories <b>Server Root</b> &amp; <b>Forum Data Root</b> in such a way that the webserver can write to them. I suggest chmoding the directories to 777.<br>
+			If you have shell access, you can change the directory permission by typing "<b>chmod 777 directory_name</b>"<br>
+			In CuteFTP, you can chmod a directory by selecting it and then pressing Ctrl+Shift+A. In the Manual checkbox, enter 777 and then press OK.<br>
+			In WS_FTP, right-click on the directory and choose the chmod UNIX option. In the dialog, select all the checkboxes and click OK. This will chmod the directory 777.<br>');
 			
 			draw_row('Server Root', 'SERVER_ROOT', IFSTR(chkslash($GLOBALS["HTTP_SERVER_VARS"]["DOCUMENT_ROOT"]), $SERVER_ROOT), 'The path on the server where the browseable files of the forum (*.php) will be stored.');
-			draw_row('Forum Data Root', 'SERVER_DATA_ROOT', IFSTR($tmp_data, $SERVER_DATA_ROOT), 'Inside this directory the files created and used by the forum, that are NOT web browseable will be stored.');
-			draw_row('Forum WWW Root', 'WWW_ROOT', IFSTR($tmp_path, $WWW_ROOT), 'This is the main web browseable directory of the forum. This is where the forum\'s front page will be and what will be typed by people in their web browser to get to your forum.');
+			draw_row('Forum Data Root', 'SERVER_DATA_ROOT', IFSTR($tmp_data, $SERVER_DATA_ROOT), 'The path on the server where the <b>NON-</b>browseable files of the forum will be stored.');
+			draw_row('Forum WWW Root', 'WWW_ROOT', IFSTR($tmp_path, $WWW_ROOT), 'This is the URL of your forum, and should point to the forum\'s front page.  This is also the URL people will need to use to get to your forum.');
 			break;
 		case "mysql":
-			draw_dialog_start('MySQL Settings&nbsp;&nbsp;&nbsp;&nbsp;<font size="-1"><b>Step 2 of 5</b></font>', 'FUDforum uses MySQL to store much of the data used in the forum. Please use the form below to enter information that would allow FUDforum to access a MySQL database. It is recommended you create a seperate MySQL database for the forum.');
+			draw_dialog_start('MySQL Settings&nbsp;&nbsp;&nbsp;&nbsp;<font size="-1"><b>Step 2 of 5</b></font>', 'FUDforum uses MySQL to store much of the data used in the forum. Please use the form below to enter information that will allow FUDforum to access a MySQL database. It is recommended you create a separate MySQL database for the forum.');
 			
-			draw_row('MySQL Server', 'MYSQL_SERVER', IFSTR($def_mysql, $MYSQL_SERVER), 'The ip of the mysql server');
+			draw_row('MySQL Server', 'MYSQL_SERVER', IFSTR($def_mysql, $MYSQL_SERVER), 'The IP address (or socket) of the MySQL server.');
 			draw_row('MySQL Login', 'MYSQL_LOGIN', IFSTR('', $MYSQL_LOGIN), 'The MySQL login name for the database you intend to use the system with.');
 			draw_row('MySQL Password', 'MYSQL_PASSWORD', IFSTR('', $MYSQL_PASSWORD), 'The MySQL password for the login name.');
 			draw_row('MySQL Database', 'MYSQL_DB', IFSTR('', $MYSQL_DB), 'The name of the MySQL database where forum data will be stored.');
-			draw_row('FUDforum SQL Table Prefix', 'MYSQL_TBL_PREFIX', IFSTR('fud2_', $MYSQL_TBL_PREFIX), 'A string of text that will be appended to each SQL table name.');
+			draw_row('FUDforum SQL Table Prefix', 'MYSQL_TBL_PREFIX', IFSTR('fud2_', $MYSQL_TBL_PREFIX), 'A string of text that will be appended to each MySQL table name.');
 			break;
 		case "cookies":
 			$url_parts = parse_url($FORUM_WWW_ROOT);
@@ -620,7 +620,7 @@
 			draw_row('Cookie Domain', 'COOKIE_DOMAIN', IFSTR(preg_replace('!^www\.!i', '.', $url_parts['host']), $COOKIE_DOMAIN));
 			break;
 		case "language":
-			draw_dialog_start('Forum Language&nbsp;&nbsp;&nbsp;&nbsp;<font size="-1"><b>Step 4 of 5</b></font>', 'Choose the language for your forum.<br><font size="-1">If the language you require is not avaliable, go to <a href="http://fud.prohost.org/forum/" target=_new>FUDforum\'s website</a> and read about translating forum to other languages.</font>');	
+			draw_dialog_start('Forum Language&nbsp;&nbsp;&nbsp;&nbsp;<font size="-1"><b>Step 4 of 5</b></font>', 'Choose the language for your forum.<br><font size="-1">If the language you require is not avaliable, please go to <a href="http://fud.prohost.org/forum/" target="_new">FUDforum\'s website</a> and read about translating the forum to other languages.</font>');	
 			draw_row_sel('Language', 'LANGUAGE', "English\nSwedish\nGerman\nPolish", "english\nswedish\ngerman\npolish");
 			break;
 		case "admin":
@@ -655,7 +655,7 @@
 		case "finished":
 			draw_dialog_start('Installation Complete', 'You have now completed the basic installation of the forum. To continue configuring your forum, you must login and use the administrator control panel.<br>
 				Clicking "Next" will take you to the login form.  After you login, you will be taken to the administrator control panel.<br>
-				<font color="#ff0000">Be sure to delete the <b>install.php</b> script, because it can be used to over-write your forum.</font>
+				<font color="#ff0000">Before you do, however, you must delete this <b>install.php</b> script, because it can be used to overwrite your forum.  You will not be able to login until you do.</font>
 			');	
 			
 			echo '<tr><td colspan=2 align="center"><input type="submit" name="submit" value="Finished" onClick="javascript: window.location=\''.$FORUM_WWW_ROOT.'login.php?adm=1\'; return false;"></td></tr></table></td></tr></table></form></html>';
